Bug 989349 - Incorrect error message when coming back from rollback
Incorrect error message when coming back from rollback
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
low Severity low
: ---
: 3.4.0
Assigned To: Moti Asayag
Martin Pavlik
network
: Triaged
Depends On: 1066953
Blocks: 1019461 rhev3.4snap1
  Show dependency treegraph
 
Reported: 2013-07-29 02:36 EDT by GenadiC
Modified: 2016-02-10 14:58 EST (History)
11 users (show)

See Also:
Fixed In Version: av4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1072794 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 25527 None None None Never
oVirt gerrit 25532 None None None Never

  None (edit)
Description GenadiC 2013-07-29 02:36:22 EDT
Description of problem:
Configuring bad network configuration causes rollback (as expected) but we get "unexpected internal engine error" message as a result of rollback 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Cause "check connectivity failure" (for example by configuring another network in the subnet of rhevm manager)
2. Check connectivity will fail and rollback will take place (2 min by default)
3.

Actual results:
We get "Unexpected internal error message", though an action of revert succeeded

Expected results:
More clear message should be displayed:
For example:
Reverting back to orignal configuration as check connectivity failed 
Additional info:
Comment 1 GenadiC 2014-03-04 02:31:47 EST
Internal error appears if you configure additional network in the same subnet as the MGMT network after reverting back from "check connectivity" failure
Comment 3 Moti Asayag 2014-03-23 09:40:37 EDT
Merged to ovirt-engine-3.4 by http://gerrit.ovirt.org/#/c/25527
Comment 4 Martin Pavlik 2014-03-27 05:19:05 EDT
works in av5

Error while executing action Setup Networks: Reverting back to last known saved configuration.
Comment 5 Itamar Heim 2014-06-12 10:07:50 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.